<?php
	/**************************************************************************
	 * Master Liveaboards WebAPI Example Calls
	 * 
	 * The following is a short example of the use of API calls provided by 
	 * wwdas_web_api_class.php.  
	 * 
	 */	

	// Include the API support functions. 
	//
	require_once 'wwdas_web_api.class.php';
	
	$my_api_key = "YOUR_API_KEY_HERE";
	$my_api_key = " n";		
	
	//  Initialize the API
	//
	$webapi = new wwdasWebAPIClass( $my_api_key );
	
	$webapi->setServer( "webapi.sirenfleet.com");
	
	
	//  EXAMPLE 1 : getVesselList()
	//
	//  Get a list of currently operating vessels.  This covers all vessels
	//  with scheduled trips in the WWDAS system from now on. 
	//	
	$vessel_list = $webapi->getVesselList();
	showResults( "A list of vessels operating in Siren Fleet:", $vessel_list );


	//  EXAMPLE 2: getVesselTrips()
	//
	//  Get a list of all schedule trips on a single vessel.  The vessel name 
	//  can be obtained from the list returned by getVesselList().  Takes three
	//  arguments as follows: 
	//
	//  $vessel_name : The name of the vessel.  If not provided then all vessels
	//                 will be listed. 
	//
	//  $start_date  : The beginning date of the list.  Default to now.
	// 
	//  $end_date	 : The end date of the list.  Defaults to the date of the 
	//                 last scheduled trip.  
	//
	//

	$a_vessels = (array)$vessel_list->results->vessel;
	
	foreach( $a_vessels as $vessel_name ) {
		$trips = $webapi->getVesselTrips( $vessel_name );
		showResults( "Trip Availability on the {$vessel_name}", $trips );
	}
	
	
	
	
	function showResults( $title, $data ) {
		
		echo "<h3>{$title}</h3>";
		echo "\n<div style='padding-left:20px;'>";
		echo "\n<pre>";
		print_r( $data );
		echo "\n\n\n\n";
		echo "</pre>";
		echo "\n</div>";
		
		
	}
	?>
